ការទូទាត់គណនី
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
| processor | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: paid, pending, cancelled, refunded |
| type | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: one_time, recurring |
| frequency | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: datetime |
| datetime_start | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលចាប់ពីកាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| datetime_end | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលរហូតដល់កាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| order_by | ជ្រើសរើសបាន ខ្សែអក្សរ | តើតំបន់ណាដែលត្រូវបញ្ជាទិញលទ្ធផលដោយ។ តម្លៃដែលអនុញ្ញាតគឺ: id, datetime, total_amount។ |
| order_type | ជ្រើសរើសបាន ខ្សែអក្សរ | ការបញ្ជាទិញនៃលទ្ធផល។ តម្លៃដែលអនុញ្ញាតគឺ: ASC សម្រាប់ការបញ្ជាទិញកើនឡើង និង DESC សម្រាប់ការបញ្ជាទិញកើនចុះ។ |
| page | ជ្រើសរើសបាន លេខគត់ | លេខទំព័រដែលអ្នកចង់បានលទ្ធផល។ ត្រូវបានកំណត់លំនាំដើមទៅ 1។ |
| results_per_page | ជ្រើសរើសបាន លេខគត់ | តើអ្នកចង់បានលទ្ធផលប៉ុន្មានក្នុងមួយទំព័រ។ តម្លៃដែលអនុញ្ញាតគឺ: 10, 25, 50, 100, 250, 500, 1000។ តម្លៃលំនាំដើមគឺ 25។ |
{
"data": [
{
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:39"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-16 15:13:39"
}
}